# $Revision: 1.19 $, $Date: 2004/05/07 01:08:48 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Tie
%define	pnam	Cfg
Summary:	Tie::Cfg - ties simple configuration files to hashes
Summary(pl):	Tie::Cfg - powizanie prostych plikw konfiguracyjnych z haszami
Name:		perl-Tie-Cfg
Version:	0.32
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2c1f051a98cbcf3b0495c82e15b159b4
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-LockFile-Simple >= 0.2.5
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module reads in a configuration file at 'tie' and writes it at
'untie'. You can use file locking to prevent others from accessing the
configuration file, but this should only be used if the configuration
file is used as a kind of a database to hold a few entries that can be
concurrently accessed.

%description -l pl
Ten modu czyta plik konfiguracyjny przy wywoaniu tie, a zapisuje
przy untie. Pozwala na uywanie blokowania, aby zapobiec dostpowi do
pliku przez innych - ale to powinno by uywane tylko jeli plik
konfiguracyjny jest rodzajem bazy danych, trzymajcym kilka wpisw, do
ktrych moe by jednoczesny dostp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tie-Cfg.spec,v $
Revision 1.19  2004/05/07 01:08:48  ankry
- rel. 2

Revision 1.18  2004/05/06 18:21:21  ankry
- fixed perl-devel BR

Revision 1.17  2004/05/03 21:36:02  ankry
- licence fix

Revision 1.16  2004/04/27 15:26:28  ankry
- new bconds

Revision 1.15  2003/09/09 10:24:52  ankry
- spaces -> tab

Revision 1.14  2003/08/18 08:09:22  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/05/28 13:01:07  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:25:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/11 18:59:37  radek
- BR: perl-devel; do not BR: perl

Revision 1.10  2003/03/13 00:03:49  ankry
- merge from RA-branch: updated to 0.32

Revision 1.9  2003/03/01 21:35:24  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/24 20:31:58  radek
- use the __perl macro

Revision 1.7  2003/02/22 22:54:54  ankry
- summary improvement

Revision 1.6  2003/02/22 21:23:56  radek
- random summary improvements

Revision 1.5  2003/02/21 14:14:40  ankry
- updated to 0.31
- BR: perl-LockFile-Simple

Revision 1.4  2003/02/18 15:38:58  ankry
- massive attack: change CPAN URLs

Revision 1.3  2003/01/15 18:37:42  mis
- autoupdated to 0.13

Revision 1.2  2002/09/10 21:28:13  qboosh
- pl description, release 2

Revision 1.1  2002/09/07 18:59:43  radek
- new, STBR
